## nanoAsyncC.awk -v DISPLAY_WIDTH=n
#
#									# (ベンチ)WiFi,DOWNLOAD:22Mbps、(SSD READ:555MB/s)
#									# (データ 2.13GByteX8bit)÷34:50(2090sec)=8.2MBitsps
#									# スピードテストDL(22Mbps÷8bit)x60%(効率)=MBitsps
var DISPLAY_WIDTH = 35
BEGIN {
	DD = "D:/";	INPUT = DD "ミュージック/"	# 3:0sec(ベンチ用)
	MM = "M:/";	OUTPUT = MM "ミュージック/"
##	LOG = MM "copy.log"

#		Path						# Speed		データの流れ
	MM = "/home/share/"				# 1:06sec	Linux直
	MM = "D:/share/"				# 08sec		Win直
	MM = "//princess7/share/"		# 10sec		Win→ローカル/SSD
	MM = "//princess6/share/"		# 1:00sec	Win→Samba/HDD
	INPUT = MM "ミュージック/"
	OUTPUT = MM "ミュージック2/"

	# INPUT = "//princess6/share/ミュージック/"		# HDD→Samba/net→Win/SSD
	# OUTPUT = "//princess7/share/ミュージック2/"	# 35～37min (←48min,Sambaチューニング)
##	#	2.13GB ｘ 8bit ÷ (40min ｘ 60sec) = 7M	# エクスプローラ: 47min

	# INPUT = "//prince6/share/ミュージック/"		#
	# OUTPUT = "//prince7/share/ミュージック2/"		#

	print "\e[92m# copy コマンドでバックアップする\e[m"
	set("DISPLAY_WIDTH="DISPLAY_WIDTH)
	clean(INPUT, "clean")
	print "\e[92m# 前回のバックアップを削除\e[m"
	remove(OUTPUT, "pro")
	print "\e[92m# バックアップ(async io)\e[m"
#	copy(INPUT, OUTPUT, "pro >" LOG)
	copy(INPUT, OUTPUT, "pro sync")
	print ""
}